Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160168 - snmpd AgentX-Perl-Interface does not work with example script
Summary: snmpd AgentX-Perl-Interface does not work with example script
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-12 15:15 UTC by Need Real Name
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-19 07:12:50 UTC


Attachments (Terms of Use)

Description Need Real Name 2005-06-12 15:15:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Fedora/1.7.6-1.2.5

Description of problem:
The net-snmp-project delivers an example script 

http://www.net-snmp.org/tutorial/tutorial-5/toolkit/perl/perl_module.pl

to use for the agentx-perl interface. The MIB netSnmp.999 should be served by the perl script, the "original" rpm 

http://prdownloads.sourceforge.net/net-snmp/net-snmp-5.2.1-3.fc2.i686.rpm?download

forwards the request for the OID netSnmp.999 to the perl script, the FC3-Version does not. 


Version-Release number of selected component (if applicable):
net-snmp-5.2.1-10.FC3

How reproducible:
Always

Steps to Reproduce:
1. make snmpd work again: disable SELinux, set execstack -s /usr/sbin/snmpd, reboot
2. enable agentx-interface: add master agentx to /etc/snmp/snmpd.conf
3. enable "read all access": modify line 62 (/etc/snmp/snmpd.conf) to read access "all", enable "all"-view (line 85: /etc/snmp/snmpd.conf)
4. start perl script ( see above)
5. snmpwalk -c public -v 2c localhost netSnmp.999
  

Actual Results:  NET-SNMP-MIB::netSnmp.999 = No Such Object available on this agent at this OID


Expected Results:  NET-SNMP-MIB::netSnmp.999.1.2.1 = STRING: "hello world"


Additional info:

The orignal RPM works on FC3, maybe some patching causes the failure of the perl interface.

Comment 1 Radek Vokal 2005-08-19 07:12:50 UTC
This works in rawhide version of net-snmp. If I do some update for FC3 I'll
include a fix for this issue. 


Note You need to log in before you can comment on or make changes to this bug.